> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connections

> Returns connected integrations for your organization.



## OpenAPI

````yaml get /connections
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /connections:
    get:
      tags:
        - Auth
      summary: Get Connections
      description: Returns connected integrations for your organization.
      operationId: get_GET__connections
      parameters:
        - in: query
          name: page_token
          description: >-
            The page token to use to retrieve the next page of results. If this
            field is omitted, there are no subsequent pages.
          schema:
            type:
              - string
              - 'null'
            example: page_token
          required: false
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConnectionsResponse'
          description: Successful response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    GetConnectionsResponse:
      type: object
      properties:
        data:
          type: array
          description: A list of connections for your organization.
          example:
            - connection_id: 07b344db-0304-4866-9ae1-ac8af5292a28
              integration_name: integration_name
              integration_display_name: ShipBob
              customer_id: customer_id
              created_at: '2023-01-01T00:00:00Z'
              last_used: '2023-01-01T00:00:00Z'
              times_used: 1
              sync_schedules:
                - function_name: get_inventory
                  last_crawl_start: '2023-01-01T00:00:00Z'
                  last_crawl_end: '2023-01-01T00:00:00Z'
                  latest_data: '2023-01-01T00:00:00Z'
                  sync_frequency: 3600
                  sync_status: enabled
              errors:
                - error_message: error_message
                  affected_endpoints:
                    - endpoint: GET /connection
                      preventing_sync: false
                  first_seen: '2023-01-01T00:00:00Z'
                  last_seen: '2023-01-01T00:00:00Z'
              available_actions:
                - get_inventory
                - get_products
              integration_type: wms
              webhooks_disabled: false
              historical_sync_completed:
                get_bills: true
                get_inbound_shipments: true
                get_inventory: true
                get_orders: true
                get_products: true
                get_returns: true
                get_warehouse_customers: true
                get_warehouse_locations: true
                get_warehouses: true
              me:
                account_id: account_12345
                account_name: My WMS Account
          items:
            $ref: '#/components/schemas/Connection'
        next_token:
          type:
            - string
            - 'null'
          description: >-
            See [pagination](/how-to-guides/about-the-api#pagination) for more
            details.
          example: next_token
        total_count:
          type: integer
          description: The number of items returned.
          example: 1
      additionalProperties: false
      title: GetConnectionsResponse
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    Connection:
      type: object
      properties:
        connection_id:
          type: string
          description: The unique ID of the connection.
        integration_name:
          type: string
          description: The name of the integration associated with the connection.
        integration_display_name:
          type: string
          description: >-
            The human-readable display name of the integration associated with
            the connection.
          example: ShipBob
        customer_id:
          type:
            - string
            - 'null'
          description: An identifier for your end customer.
          example: customer_id
        created_at:
          type: string
          format: date-time
          description: The date the connection was created.
          example: '2022-01-01T00:00:00Z'
        last_used:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the connection was last updated.
          example: '2022-01-02T05:05:05Z'
        times_used:
          type:
            - integer
            - 'null'
          description: >-
            The number of times the connection has been used in a request to the
            Trackstar API. Equal to the number of API calls made with this
            connection.
          example: 0
        sync_schedules:
          type: array
          description: A list of sync schedules for the connection.
          items:
            $ref: '#/components/schemas/SyncSchedule'
        errors:
          type: array
          description: >-
            A list of errors for the connection. e.g. missing permissions,
            invalid credentials, etc.
          items:
            $ref: '#/components/schemas/ConnectionError'
        available_actions:
          type: array
          description: A list of actions that the integration supports.
          items:
            type: string
            description: Action supported by the integration
        integration_type:
          type: string
          enum:
            - wms
            - freight
            - cart
            - carrier
            - erp
          description: The type of the integration.
          example: wms
        webhooks_disabled:
          type:
            - boolean
            - 'null'
          description: >-
            If True, create & update webhooks for Trackstar objects (e.g.
            order.created) will not be sent for this connection. Connection
            specific webhooks (e.g. connection.deleted) will still be sent.
          example: false
        paused:
          type: boolean
          description: >-
            If True, every sync schedule for this connection is paused and no
            data will sync until at least one schedule is resumed.
          example: false
        paused_at:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The date every sync schedule for this connection was paused. Null if
            the connection is not currently paused.
          example: '2022-01-02T05:05:05Z'
        historical_sync_completed:
          type: object
          description: >-
            Indicates whether the initial historical sync has been completed for
            each function. If a key is not present or empty, assume the
            historical sync has not been completed for that function.
          example:
            get_bills: true
            get_inbound_shipments: true
            get_inventory: true
            get_orders: true
            get_products: true
            get_returns: true
            get_warehouse_customers: true
            get_warehouse_locations: true
            get_warehouses: true
          additionalProperties:
            type: boolean
            description: Whether the historical sync has been completed for the function.
            example: true
        me:
          description: >-
            Information that helps identify the connected account. If null, the
            integration does not provide this information.
          example:
            account_id: account_12345
            account_name: My WMS Account
      required:
        - available_actions
        - connection_id
        - created_at
        - customer_id
        - errors
        - historical_sync_completed
        - integration_display_name
        - integration_name
        - integration_type
        - last_used
        - me
        - paused
        - paused_at
        - sync_schedules
        - times_used
        - webhooks_disabled
      additionalProperties: false
      title: Connection
    SyncSchedule:
      type: object
      properties:
        function_name:
          type: string
          description: The function that is being synced.
        last_crawl_start:
          type:
            - string
            - 'null'
          format: date-time
          description: The date when Trackstar last started a crawl for this function.
        last_crawl_end:
          type:
            - string
            - 'null'
          format: date-time
          description: The date when Trackstar last completed a crawl for this function.
        latest_data:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The date of the most recent data successfully fetched for this
            function.
        sync_frequency:
          type: integer
          description: The frequency of the sync in seconds.
          example: 0
        sync_status:
          type:
            - string
            - 'null'
          enum:
            - enabled
            - disabled
            - sync_in_progress
            - first_sync_in_progress
            - error
          description: The status of the sync.
          example: sync_in_progress
      required:
        - function_name
        - last_crawl_end
        - last_crawl_start
        - latest_data
        - sync_frequency
        - sync_status
      additionalProperties: false
      title: SyncSchedule
    ConnectionError:
      type: object
      properties:
        error_message:
          type: string
          description: The error message.
        affected_endpoints:
          type: array
          description: >-
            A list of endpoints that were affected by the error and whether the
            error is preventing the sync from completing.
          example:
            - endpoint: GET /wms/inventory
              preventing_sync: true
            - endpoint: GET /wms/orders
              preventing_sync: false
          items:
            $ref: '#/components/schemas/AffectedEndpoints'
        first_seen:
          type: string
          format: date-time
          description: The date the error was first seen.
        last_seen:
          type: string
          format: date-time
          description: The date the error was last seen.
      required:
        - affected_endpoints
        - error_message
        - first_seen
        - last_seen
      additionalProperties: false
      title: ConnectionError
    AffectedEndpoints:
      type: object
      properties:
        endpoint:
          type: string
          description: The endpoint that was affected.
          example: GET /wms/inventory
        preventing_sync:
          type: boolean
          description: >-
            If True, the error is preventing the sync from completing. If False,
            we are able to sync but there may be data or fields that we are
            unable to fetch.
          example: false
      required:
        - endpoint
        - preventing_sync
      additionalProperties: false
      title: AffectedEndpoints

````